Subject: [Cbor] Rapid version progression

From: Carsten Bormann <[email-masked]>
Date: Wed, 18 Dec 2019 16:49:48 +0100

I just submitted three versions of CBORbis: -10, -11, and -12.

-10 is the roll-up of all the changes we have made so far based on the WGLC comments (this is not saying we addressed them all, but see below).

We have one pull request that implements switching from RFCXMLv2 to RFCXMLv3.
We need to do this at some point, because the RFC will be based on v3, so I thought it would be best to do this now.  Unfortunately, v3 formatting has some gratuitous changes the bulk of which would obscure changes to content.  So -10 is the snapshot from before this switch.

The biggest set of gratuitous changes are in the list symbols.  So -11 is a v2-formatted version that adopts (most of) those changes.

There are some more changes in v3, which you can find in -12.  All three, -10, -11, -12 should be identical in content and just differ in (non consequential, I hope) formatting.

With -12, we should now be safely in v3 land, and we can return to discussing content.
Enjoy the new splendor of https://www.ietf.org/id/draft-ietf-cbor-7049bis-12.html — but you still can get the htmlized text at https://tools.ietf.org/html/draft-ietf-cbor-7049bis-12 if that helps.

So:
https://tools.ietf.org/rfcdiff?url2=draft-ietf-cbor-7049bis-10.txt
has the rolled-up content changes.

https://tools.ietf.org/rfcdiff?url2=draft-ietf-cbor-7049bis-11.txt
has the v3 list-symbol changes, only, which should definitely have no effect on content.

https://tools.ietf.org/rfcdiff?url2=draft-ietf-cbor-7049bis-12.txt
has the rest of the v3 formatting changes, also hopefully with no effect on content, but that needs to be more carefully checked.

I’m now merging these changes (#150), which should cover #140.
https://github.com/cbor-wg/CBORbis/pull/150
https://github.com/cbor-wg/CBORbis/pull/140

Grüße, Carsten